Bug 1310282 - PyGreSQL-5.0 is available
Summary: PyGreSQL-5.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: PyGreSQL
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-02-20 00:21 UTC by Upstream Release Monitoring
Modified: 2016-03-21 15:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-21 15:30:38 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.23 KB, patch)
2016-03-19 00:23 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-02-20 00:21:27 UTC
Latest upstream release: 4.2.1
Current version/release in rawhide: 4.2-2.fc24
URL: https://pypi.python.org/pypi/PyGreSQL

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Tomas Orsava 2016-03-14 11:43:58 UTC
Update: Upstream already has version 5.0.

Comment 2 Tomas Orsava 2016-03-14 11:45:03 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 3 Upstream Release Monitoring 2016-03-19 00:22:55 UTC
Latest upstream release: 4.2.2
Current version/release in rawhide: 4.2-2.fc24
URL: https://pypi.python.org/pypi/PyGreSQL

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3746/

Comment 4 Upstream Release Monitoring 2016-03-19 00:23:06 UTC
Patching or scratch build for PyGreSQL and version 4.2 FAILED.
See for details

Comment 5 Upstream Release Monitoring 2016-03-19 00:23:09 UTC
Created attachment 1137936 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 6 Upstream Release Monitoring 2016-03-19 00:23:11 UTC
Patches were not touched. All were applied properly


Note You need to log in before you can comment on or make changes to this bug.